Issue 88361 - Disable even=left/odd=right page rule to avoid page numbering issues
Disable even=left/odd=right page rule to avoid page numbering issues
Status: CONFIRMED
Product: Writer
Classification: Application
Component: formatting
OOo 2.4.0
All All
: P2 trivial with 22 votes (vote)
: ---
Assigned To: Mathias_Bauer
:
: 94217 94401 (view as issue list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-16 21:04 UTC by hagar_de_lest
Modified: 2013-08-07 14:44 UTC (History)
4 users (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
Document with only one page but total page count is 2 because of the blank page. (7.90 KB, application/vnd.oasis.opendocument.text)
2008-11-18 20:15 UTC, hagar_de_lest
no flags Details
Style Issue explained... (410.45 KB, application/vnd.oasis.opendocument.text)
2008-11-20 11:32 UTC, webstar08
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description hagar_de_lest 2008-04-16 21:04:39 UTC
I know, this is a longstanding request but according to Issue 3910, I've not
seen any specific report for this problem (not even in Issue 12138). Or please
indicate which is the leading issue for that.

OOo follows the rule that any odd page is right and any even page is left.

Even if it's a standard rule for books, many users don't have to follow that
rule. So please add an option to disable it. Not all the OOo users are
publishing books!

The main concern is that page numbering is a real mess. Even if blank pages are
not printed, they're taken into account for page numbering.

I set this issue as P2 because it does "mark a severe problem which affect a
significant number of customers" according to the number of duplicate issues
here and threads in the OOo forums.
Comment 1 michael.ruess 2008-04-17 09:22:26 UTC
We already have many issues regarding that problem. See issue 16877, issue
17203, issue 19535.
Two of these are owned by MBA, so I also reassign this issue (which refers to
easier page handling, cause not everyone is writing a book...)  to MBA.
It is really useful to implement a non-book-like page handling as alternative.
Comment 2 webstar08 2008-05-09 15:40:53 UTC
For sure I'll vote for this because this is a REALLY annoying sh*t!
Comment 3 tankoalhadji 2008-05-16 09:58:40 UTC
aye! my vote is in. this needs to be solved!
Comment 4 michael.ruess 2008-09-25 17:29:33 UTC
*** Issue 94217 has been marked as a duplicate of this issue. ***
Comment 5 michael.ruess 2008-09-29 08:00:35 UTC
*** Issue 94401 has been marked as a duplicate of this issue. ***
Comment 6 brakky 2008-10-07 00:47:06 UTC
The forcing of the even=left/odd=right page rule also makes things difficult for
texts written in a right-to-left language like Hebrew. In Hebrew books things go
"backwards", so odd numbers are normally found on the left side, even on the right.

So not only does this issue make problems for those not wanting to follow the
"standard", it also posses difficulty for people using various foreign languages.
Comment 7 Mathias_Bauer 2008-11-18 15:27:39 UTC
I wonder what we are talking about. The mentioned rule applies to the "book"
mode of Writer. But where does it create a problem in the "non-book" mode?
Hagar_de_lest, can you please explain?
Comment 9 hagar_de_lest 2008-11-18 20:15:38 UTC
Created attachment 58094 [details]
Document with only one page but total page count is 2 because of the blank page.
Comment 10 Mathias_Bauer 2008-11-19 08:46:40 UTC
Frank, can you comment on the two forum postings and the problem in the attached
document? It seems that at least for the page count we still account for the
left/right pages thing.
Comment 11 frank.meies 2008-11-19 08:59:29 UTC
The test document only shows a page count of 1 after loading the document, which
seems to be a bug (change page number of first paragraph to 1 and afterwards
back to 2 and you've got the empty page). This can be reproduced with versions
dating back to at least OOo 2.0.

Some time ago, we addressed the problem that empty pages get printed and
exported to pdf. We did this by adding an options that simply forces the
omission of these pages during printing/pdf export. We did not want to touch the
odd=right rule because there seem to be quite some dependencies in the code. By
addressing this issue, we somewhat reduced the severity of the issue. 

Obviously there's an other problem associated with the odd=right rule which is
the page counting issue as hagar_de_lest points out. This issue is visible even
if you do not switch to page preview or set the view layout to 'book mode'. By
the way: 'book mode' only refers to the visual representation of the internal
pages, if does not change the way the Writer core creates or handles pages.

So from my point of view there has to be a true 'book mode' and a 'non book
mode' and only in the book mode, the odd=right rule is active. There are two
ways to handle this:

1. In non-book-mode, the internal odd=right rule should not be applied or
2. In non-book-mode, the total number of pages has to be counted excluding empty
pages.

2. bases on the assumption, that the total page count is the last remaining
issue caused by the odd=right rule and seems to be less risky. The 'omit empty
pages on printing' option then can be removed since we would just have to follow
the 'book mode' setting.
Comment 12 Mathias_Bauer 2008-11-19 12:47:23 UTC
Thanks, Frank. So I conclude that a fix is doable with a reasonable effort. I
change the target to "3.x" with the idea that we investigate whether "x=1" is
possible. Do you agree?
Comment 13 frank.meies 2008-11-19 13:01:53 UTC
3.x is good, maybe even 3.1 is possible although somewhat optimistic. A fix
requires a solid investigation of the possible implications. As already stated
in my last comment, option 2. seems to be the less risky one, although this is
somewhat 'hacky' compared to option 1.
Comment 14 webstar08 2008-11-19 23:17:30 UTC
Listen guys: 
That page count issue is NOT the only issue with this. 
The REAL issue with this is the STYLE issue! 
i.e. when I'm doing not a printed book but an e-book 
it becomes impossible to apply the page style of an odd page to an even page. 
THAT'S where the real mess starts! 

The conclusion: 
The way #2 suggested by fme 
(i.e. "In non-book-mode, the total number of pages has to be counted excluding
empty pages.")
absolutely CANNOT be used! 

There only ONE way to solve this problem and it's this: 
"1. In non-book-mode, the internal odd=right rule should not be applied"
i.e. in a non-book-mode the internal odd=right rule has to be completely
switched off! 
Because not only that would get the page count right 
it would also allow (finally) to get the page styles applied correctly. 
i.e. after odd page style the next page must get the even page style 
and after the even page style the following page must get the odd page style etc.

The problem now is: 
For example: Page xx is an odd page and so it has automatically the odd page style. 
The following page has automatically the even page style. 
So far everything OK. 
But when this following page happens to become an "empty" page it retains the
even page style and so the page that follows after that gets the odd page style. 
The result is: 
Even if you don't care about page count and export a PDF without empty pages 
you get TWO page with the same (in this example odd) page style following
directly after each other which is totally WRONG! 

In an e-book the odd page style and the even page style must always *alternate*. 
Having two pages after each other with the same page style is a HUGE problem! 


So, I'm sorry to tell you this but the only way to completely fix this problem
is the one that requires more work, i.e. this one: 
"1. In non-book-mode, the internal odd=right rule should not be applied"
Comment 15 frank.meies 2008-11-20 08:15:16 UTC
@webstar08: Listen guy: Please attach a document showing the style issue.
Comment 16 webstar08 2008-11-20 11:32:57 UTC
Created attachment 58142 [details]
Style Issue explained...
Comment 17 webstar08 2008-11-20 11:34:06 UTC
OK, file uploaded. Explanations within the document.
Comment 18 frank.meies 2008-11-20 12:17:04 UTC
To quote from the bugdoc: 

[...] It's possible to modyfy the BOOK_First_page style (in the Page tab) and to
change page layout (under Layout Settings) from Only right to Right and Left ...
But then page #5 becomes blank and that's where the “snake bites its own taleâ€...
Because I cannot assign “right and left†layout to BOOK_Left_page and to
BOOK_Right_page. Those page layouts MUST be different and they MUST alternate!
(otherwise it makes no sense as you can see in this sample document) [...]

So, what happens if you assign "right and left" BOOK_First_page, BOOK_Left_page
and to BOOK_Right_page? BOOK_Left_page and BOOK_Right_page are still different
(BOOK_Right_page has some frames anchored in the header) and they still
alternate. I apologize for my ignorance but I cannot see the problem.

The only problem that I can reproduce is that you might introduce an empty page
when changing from Roman numbering to Arabic numbering (starting with 1) in case
the last Roman numbered page is an odd one.
Comment 19 webstar08 2008-11-20 14:57:35 UTC
>> they still alternate. 

>> The only problem that I can reproduce is that you might introduce an empty page
when changing from Roman numbering to Arabic numbering (starting with 1) in case
the last Roman numbered page is an odd one.


Hmm... maybe the issue was partially fixed in OO 3.0? I don't know. 
As I remember there was a problem like it is now in 3.0 when changing from Roman
numbering to Arabic numbering.
Comment 20 frank.meies 2008-11-20 15:32:32 UTC
[...] Hmm... maybe the issue was partially fixed in OO 3.0? I don't know. 
As I remember there was a problem like it is now in 3.0 when changing from Roman
numbering to Arabic numbering. [...]

Yes, there were some fixes for OOo 3.0 in this area. I remember at least i81544
that somehow dealt with page styles. So the remaining question is: Are there any
non-page-count related problems with the internal odd=right rule?
Comment 21 webstar08 2008-11-20 17:05:05 UTC
>> So the remaining question is: Are there any
non-page-count related problems with the internal odd=right rule?

No, besides the issue when changing from Roman numbering to Arabic numbering 
(that you mentioned), right now I don't see any other non-page-count related
problems with the internal odd=right rule in OO 3.0


p.s.
Happy to know that style issue is mostly fixed in OO 3.0 now. :-)